import { HighlighterOptions } from 'shiki';
import { Plugin } from 'rollup';

declare type mapExtension = Record<string, string>;
declare type Options = HighlighterOptions & {
    mapExtension: mapExtension;
};
declare type VitePlugin = Pick<Plugin, "name" | "resolveId" | "load"> & {
    enforce?: "pre" | "post";
};
declare function syntaxHighlight(options?: Options): VitePlugin;

export { Options, mapExtension, syntaxHighlight };
